## org.apache.poi.hssf.record.formula
Class BoolPtg

    java.lang.Object
      org.apache.poi.hssf.record.formula.Ptg
          org.apache.poi.hssf.record.formula.BoolPtg

public class BoolPtg
extends Ptg

Boolean (boolean) Stores a (java) boolean value in a formula.

Author:
  Paul Krause (pkrause at soundbite dot com), Andrew C. Oliver (acoliver at apache dot org), Jason Height (jheight at chariot dot net dot au)

Field Summary
`static byte` `sid`
`static int` `SIZE`

Fields inherited from class org.apache.poi.hssf.record.formula.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, ptgClass`

Constructor Summary
`BoolPtg(byte[] data, int offset)`
`BoolPtg(java.lang.String formulaToken)`

Method Summary
`java.lang.Object` `clone()`
`byte` `getDefaultOperandClass()`
`int` `getSize()`
`boolean` `getValue()`
`void` `setValue(boolean value)`
`java.lang.String` `toFormulaString(Workbook book)` return a string representation of this token alone
`void` `writeBytes(byte[] array, int offset)` write this Ptg to a byte array

Methods inherited from class org.apache.poi.hssf.record.formula.Ptg
`createPtg, getBytes, getPtgClass, setClass, toDebugString, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SIZE

    public static final int SIZE

See Also:
  Constant Field Values

### sid

    public static final byte sid

See Also:
  Constant Field Values

Constructor Detail

### BoolPtg

    public BoolPtg(byte[] data,
                   int offset)

### BoolPtg

    public BoolPtg(java.lang.String formulaToken)

Method Detail

### setValue

    public void setValue(boolean value)

### getValue

    public boolean getValue()

### writeBytes

    public void writeBytes(byte[] array,
                           int offset)

  Description copied from class: `Ptg`
  write this Ptg to a byte array

  Specified by:
    `writeBytes` in class `Ptg`

### getSize

    public int getSize()

  Specified by:
    `getSize` in class `Ptg`

### toFormulaString

    public java.lang.String toFormulaString(Workbook book)

  Description copied from class: `Ptg`
  return a string representation of this token alone

  Specified by:
    `toFormulaString` in class `Ptg`

### getDefaultOperandClass

    public byte getDefaultOperandClass()

  Specified by:
    `getDefaultOperandClass` in class `Ptg`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in class `Ptg`

Copyright © 2003 Apache Software Foundation.